- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6FillStylePacket Class Reference

`#include <WP6FillStylePacket.h>`

Inheritance diagram for WP6FillStylePacket:

## Public Member Functions
| WP6FillStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6FillStylePacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
const RGBSColor * | getFgColor () const
const RGBSColor * | getBgColor () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes
RGBSColor | m_fgColor
RGBSColor | m_bgColor

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6FillStylePacket::WP6FillStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6FillStylePacket::~WP6FillStylePacket | ( |  | ) |

## Member Function Documentation

void WP6FillStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

const RGBSColor* WP6FillStylePacket::getBgColor | ( |  | ) | const
| inline

const RGBSColor* WP6FillStylePacket::getFgColor | ( |  | ) | const
| inline

void WP6FillStylePacket::parse | ( | WP6Listener * |  | ) | const
| inline virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

RGBSColor WP6FillStylePacket::m_bgColor
| private

Referenced by _readContents(), and getBgColor().

RGBSColor WP6FillStylePacket::m_fgColor
| private

Referenced by _readContents(), and getFgColor().

The documentation for this class was generated from the following files:

- WP6FillStylePacket.h
- WP6FillStylePacket.cpp